Bug 442832 - anaconda should nuke preupgrade cache after preupgrade-upgrade finishes
anaconda should nuke preupgrade cache after preupgrade-upgrade finishes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-04-17 00:30 EDT by seth vidal
Modified: 2013-07-28 21:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 15:32:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description seth vidal 2008-04-17 00:30:09 EDT
Description of problem:
user preupgrades their box
they boot up into the new release
a bunch of disk space is sucked up in /var/cache/yum/anaconda-upgrade
that space will not be cleaned up by commands like 'yum clean packages' b/c that
repo is not enabled anywhere.

it would great if anaconda could nuke that cache if the install completes
successfully.
Comment 1 Jeremy Katz 2008-04-17 02:42:06 EDT
Handled in git
Comment 2 Bug Zapper 2008-05-14 05:34:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 stanl 2008-05-18 09:09:35 EDT
I think this should be a choice presented to the user.  If I want to upgrade
many other installs, I can then use the existing packages instead of having to
download them.  In that case, I am responsible for cleanup but I have chosen to be.

Note You need to log in before you can comment on or make changes to this bug.